summaryrefslogtreecommitdiff
path: root/build-test.sh
diff options
context:
space:
mode:
authorJarret Shook <jashoo@microsoft.com>2018-08-25 04:19:58 (GMT)
committerGitHub <noreply@github.com>2018-08-25 04:19:58 (GMT)
commitb34f2bfee8ca2c5f5508f4d58f5b79dc616dcccc (patch)
treee099963dafdc784929e6b175281a908470ce778b /build-test.sh
parent2d99e088e84a70572b5f9422092ec225d4c27a1c (diff)
downloadcoreclr-b34f2bfee8ca2c5f5508f4d58f5b79dc616dcccc.zip
coreclr-b34f2bfee8ca2c5f5508f4d58f5b79dc616dcccc.tar.gz
coreclr-b34f2bfee8ca2c5f5508f4d58f5b79dc616dcccc.tar.bz2
Use runtest.py to run tests for all platforms (#19213)
Change build-test.sh to always build the xunit wrappers. Before it would drop a token and check the existence of the token. Unify x64 linux/OSX/Windows excludes into one file, issues.targets. Includes different locations in the file which show where to put excludes. Remove all target specific aspects of issues.targets, all tests are excluded now via wildcard, this allows expanding to .cmd and .sh based on the built platform. Unify path separators to forward slash(/) in issues.targets to support both platforms Clean up issues.targets by removing long standing exclude tests, specifically tests that have been excluded due to missing features like rva_statics. Add DisableProjectBuild to tests which have been removed from issues.targets Conditionally add DisableProjectBuild to tests which have been marked as unsupported on unix. This is mostly a port of the unsupportedOnUnix.txt list. Instead of excluding the tests, unix will simply not build them. If tests are built on windows, they will be run but they will return pass, the test wrapper will check return instantly. All exclusions ported to issues.targets for linux targets. Expand runtest.py, this includes simple issues that made it past the original CR. In addition it adds more optional features to help with inner loop dev work such as: creating a repro folder under bin/repro/.. which sets up the env and calls the failing test. In addition a launch.json will now be created under bin/repro/.. which can be used to easily debug using vscode. More logging, such as printing failures, longest running tests ect. Initial excludes ported for arm64 windows Arm64 linux, armhf unix excludes and enables running runtest.sh for these targets. arm64 windows and arm32 windows excludes and enables running runtest.cmd on arm64 targets init-tools.sh changes to pull armhf and aarch64 dotnetcli init-tools.cmd changes to pull x86 packages for dotnetcli for arm64 windows runtest.cmd for almost all scenarios will call runtest.py runtest.sh for almsot all scenarios will call runtest.py Removes all logic for running tests using runtest.sh
Diffstat (limited to 'build-test.sh')
-rwxr-xr-xbuild-test.sh24
1 files changed, 10 insertions, 14 deletions
diff --git a/build-test.sh b/build-test.sh
index b8b2955..c2428f5 100755
--- a/build-test.sh
+++ b/build-test.sh
@@ -289,22 +289,18 @@ build_Tests()
if [ $__BuildTestWrappers -ne -0 ]; then
echo "${__MsgPrefix}Creating test wrappers..."
- __XUnitWrapperBuiltMarker=${__TestBinDir}/xunit_wrapper_build
+ # Always create the test wrappers and set the exclude file.
+ export __Exclude="$__TestDir/issues.targets"
+ echo "Exclude set to $__TestDir/issues.targets"
+ build_Tests_internal "Tests_XunitWrapper" "$__ProjectDir/tests/runtest.proj" "Test Xunit Wrapper" "-BuildWrappers" "-MsBuildEventLogging= " "-TargetsWindows=false"
- if [ ! -f $__XUnitWrapperBuiltMarker ]; then
-
- build_MSBuild_projects "Tests_XunitWrapper" "$__ProjectDir/tests/runtest.proj" "Test Xunit Wrapper" "-BuildWrappers" "-MsBuildEventLogging= " "-TargetsWindows=false"
-
- if [ $? -ne 0 ]; then
- echo "${__MsgPrefix}Error: build failed. Refer to the build log files for details (above)"
- exit 1
- else
- echo "XUnit Wrappers have been built."
- echo "Create marker \"${__XUnitWrapperBuiltMarker}\""
- touch $__XUnitWrapperBuiltMarker
- fi
+ if [ $? -ne 0 ]; then
+ echo "${__MsgPrefix}Error: build failed. Refer to the build log files for details (above)"
+ exit 1
else
- echo "XUnit Wrappers had been built before."
+ echo "XUnit Wrappers have been built."
+ echo "Create marker \"${__XUnitWrapperBuiltMarker}\""
+ touch $__XUnitWrapperBuiltMarker
fi
fi